﻿using System;
using System.IO;
using System.Windows.Forms;

namespace Notepad01
{
    public partial class Form1:Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void fileToolStripMenuItem_Click(object sender,EventArgs e)
        {

        }

        private void kopierenToolStripMenuItem_Click(object sender,EventArgs e)
        {
            Clipboard.SetText(textBox1.SelectedText);
        }

        private void einfügenToolStripMenuItem_Click(object sender,EventArgs e)
        {
            textBox1.Paste();            
        }

        private void allesMarkierenToolStripMenuItem_Click(object sender,EventArgs e)
        {
            textBox1.SelectAll();
            
        }

        private void ausschneidenToolStripMenuItem_Click(object sender,EventArgs e)
        {
            textBox1.Cut();            
        }

        private void öffnenToolStripMenuItem_Click(object sender,EventArgs e)
        {
            if (openFileDialog1.ShowDialog()== DialogResult.OK) {
                textBox1.Text = File.ReadAllText(
                    openFileDialog1.FileName
                    );
            }
        }

        private void speichernToolStripMenuItem_Click(object sender,EventArgs e)
        {
            if (saveFileDialog1.ShowDialog()== DialogResult.OK) {
                File.WriteAllText(saveFileDialog1.FileName, textBox1.Text);
            }
        }

        private void schriftartToolStripMenuItem_Click(object sender,EventArgs e)
        {
            fontDialog1.Font = textBox1.Font;
            if (fontDialog1.ShowDialog()==DialogResult.OK) {
                textBox1.Font = fontDialog1.Font;
            }
        }

        private void farbeToolStripMenuItem_Click(object sender,EventArgs e)
        {
            if (colorDialog1.ShowDialog() == DialogResult.OK)
                textBox1.ForeColor = colorDialog1.Color;
        }
    }
}
